Boomi MFT - AFT Management API Reference (v1) - ApiKey
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Retrieves a specific API key by identifier
Returns detailed API key configuration including name, permissions, and expiration settings.
Authorizations:
ApiKeyBearer
query Parameters
| id | string Unique identifier of the API key to retrieve |
Responses
Response Schema:
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| name | string or null |
Response samples
- 200
- 401
- 403
- 404
- 500
Content type
No sample
Updates an existing API key configuration
Modifies existing API key configuration including enabled status and allowed APIs.
Authorizations:
ApiKeyBearer
Request Body schema:
Updated API key configuration
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Responses
Response Schema:
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| name | string or null |
Request samples
- Payload
Content type
{- "id": "string",
- "enabled": true,
- "keyName": "string",
- "tenantId": 0,
- "allowedApis": "string",
- "allowedOrgs": "string",
- "expirationDate": "2019-08-24T14:15:22Z",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdBy": "string",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 400
- 401
- 403
- 404
- 500
Content type
No sample
Retrieves all API keys for the current user
Returns list of all API keys for the current user with configuration details.
Authorizations:
ApiKeyBearer
Responses
Response Schema:
Array
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| name | string or null |
Response samples
- 200
- 401
- 403
- 500
Content type
No sample
Creates a new API key for programmatic access
Generates new API key with specified permissions, expiration, and access restrictions.
Authorizations:
ApiKeyBearer
Request Body schema:
API key configuration including name, permissions, and expiration
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
Responses
Response Schema:
| id | string or null |
| enabled | boolean |
| keyName | string or null |
| tenantId | integer <int32> |
| allowedApis | string or null |
| allowedOrgs | string or null |
| expirationDate | string or null <date-time> |
| createdDate | string <date-time> |
| createdBy | string or null |
| updatedBy | string or null |
| updatedDate | string or null <date-time> |
| deletedBy | string or null |
| deletedDate | string or null <date-time> |
| name | string or null |
Request samples
- Payload
Content type
{- "id": "string",
- "enabled": true,
- "keyName": "string",
- "tenantId": 0,
- "allowedApis": "string",
- "allowedOrgs": "string",
- "expirationDate": "2019-08-24T14:15:22Z",
- "createdDate": "2019-08-24T14:15:22Z",
- "createdBy": "string",
- "updatedBy": "string",
- "updatedDate": "2019-08-24T14:15:22Z",
- "deletedBy": "string",
- "deletedDate": "2019-08-24T14:15:22Z"
}Response samples
- 200
- 400
- 401
- 403
- 500
Content type
No sample
Was this topic helpful?